MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002276VCMIMechanics - Objectspublic2015-10-03 19:502015-10-16 03:54
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98d 
Target VersionFixed in Version0.98e 
Summary0002276: Refugee Camp is guarded for level 5+ creatures
DescriptionCurrently Refugee Camp is guarded when creatures is level 5 or higher and AI usually die on it because it's danger is always 0.

Regression of that commit:
https://github.com/vcmi/vcmi/commit/9e7b4598 [^]

Going to push fix into develop soon.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0002284closedSXX Refuge camp have inner guard! (This saves) 

-  Notes
(0005903)
SXX (administrator)
2015-10-03 22:38

BTW would be cool to have option to toggle guards in JSON.
Probably it's already implemented so would try to dig into that.
(0005934)
Povelitel (updater)
2015-10-07 16:11

And the protection of stored different types.
Причем охрана накапливается разных типов.
(0005950)
SXX (administrator)
2015-10-15 10:55

То что накапливается это нормально в данном случае, сам факт наличия охраны это бага.
(0005952)
SXX (administrator)
2015-10-16 03:54

Every time I looking on adventure map objects it's end up being tons of work for appropriate fix and pulling settings into JSON. So I just applied simple fix for now:
https://github.com/vcmi/vcmi/commit/3663b952eace840ec8dbf99c6686ad21cc6b110f [^]

- Issue History
Date Modified Username Field Change
2015-10-03 19:50 SXX New Issue
2015-10-03 19:50 SXX Status new => assigned
2015-10-03 19:50 SXX Assigned To => SXX
2015-10-03 19:51 SXX Summary Refugee Camp ьфн пф => Refugee Camp is guarded for level 5+ creatures
2015-10-03 22:38 SXX Note Added: 0005903
2015-10-05 19:08 Warmonger Relationship added has duplicate 0002284
2015-10-07 16:11 Povelitel Note Added: 0005934
2015-10-15 10:55 SXX Note Added: 0005950
2015-10-16 03:54 SXX Note Added: 0005952
2015-10-16 03:54 SXX Status assigned => resolved
2015-10-16 03:54 SXX Fixed in Version => 0.98e
2015-10-16 03:54 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean